include:
  - project: 'clci/gitlab-ci'
    ref: v2-stable
    file:
      - guarded-linux-test-pipeline.gitlab-ci.yml
      - guarded-release-pipeline.gitlab-ci.yml
      - guarded-clpm-dep-update-pipeline.gitlab-ci.yml

# This section is not strictly required, but prevents Gitlab CI from launching
# multiple redundent pipelines when a Merge Request is opened.
workflow:
  rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
    - if: '$CI_COMMIT_BRANCH && $CI_OPEN_MERGE_REQUESTS'
      when: never
    - if: '$CI_COMMIT_BRANCH'
    - if: '$CI_COMMIT_TAG'

variables:
  CLCI_TEST_ABCL: "no"
  CLCI_TEST_CLISP: "no"
  CLCI_TEST_CMUCL: "no"

.common:test:clci:
  before_script:
    - apt-get update
    - apt-get install -y --no-install-recommends graphviz
